net.sf.jasperreports.engine.export.tabulator

## Class LayeredCell

- java.lang.Object
- - net.sf.jasperreports.engine.export.tabulator.LayeredCell

- All Implemented Interfaces:
    Cell

      public class LayeredCell
      extends java.lang.Object
      implements Cell

  Version:
    $Id: LayeredCell.java 5936 2013-03-01 17:16:21Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayeredCell(FrameCell parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T,R,E extends java.lang.Exception> R` | `accept(CellVisitor<T,R,E> visitor, T arg)`
    `void` | `addLayer(Table table)`
    `java.util.List<Table>` | `getLayers()`
    `FrameCell` | `getParent()`
    `void` | `setParent(FrameCell parent)`
    `Cell` | `split()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayeredCell

          public LayeredCell(FrameCell parent)

  - ### Method Detail

    - #### addLayer

          public void addLayer(Table table)

    - #### getParent

          public FrameCell getParent()

      Specified by:
        `getParent` in interface `Cell`

    - #### setParent

          public void setParent(FrameCell parent)

    - #### accept

          public <T,R,E extends java.lang.Exception> R accept(CellVisitor<T,R,E> visitor,
                                                     T arg)
                   throws E extends java.lang.Exception

      Specified by:
        `accept` in interface `Cell`
      Throws:
        `E extends java.lang.Exception`

    - #### split

          public Cell split()

      Specified by:
        `split` in interface `Cell`

    - #### getLayers

          public java.util.List<Table> getLayers()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com